Bug 1014708 - [RFE] ssm: Implement 'migrate' command
[RFE] ssm: Implement 'migrate' command
Status: ASSIGNED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: system-storage-manager (Show other bugs)
7.0
Unspecified Linux
unspecified Severity unspecified
: rc
: ---
Assigned To: Jan Tulak
Zorro Lang
: FutureFeature, Reopened
Depends On:
Blocks: 1113520
  Show dependency treegraph
 
Reported: 2013-10-02 11:06 EDT by Lukáš Czerner
Modified: 2018-06-21 13:26 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-06-21 13:24:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukáš Czerner 2013-10-02 11:06:29 EDT
Implement command 'migrate' for migrating whole volumes or just devices to a different one regardless on the backend used. Ssm should be able to handle this operation in a unified fashion for all supported backends.

For lvm based volumes, pvmove can be used.
For btrfs based volumes, btrfs replace feature can be used.

In case of regular devices we can use either dd, or something smarter which will probably end up to be file system dependent.

-Lukas
Comment 3 Alasdair Kergon 2014-07-02 20:35:55 EDT
Note that we're extending the pvmove syntax in 7.1 to support all-or-nothing migrations.
Comment 8 Jan Tulak 2018-06-19 11:00:58 EDT
Implemented in the upstream v1.0 release.
Comment 11 Red Hat Bugzilla Rules Engine 2018-06-21 13:24:40 EDT
Development Management has reviewed and declined this request. You may appeal this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.